package ru.yandex.autotests.directapi.model.clients;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created with IntelliJ IDEA.
 * User: omaz
 * Date: 06.09.13
 * Time: 15:14
 * To change this template use File | Settings | File Templates.
 */
public class ClientFilterMap<T> extends ModelBeanMap<ClientFilterMap> {
    private static final String CLIENT_RIGHT = "ClientFilter";

    public static final String STATUS_ARCH = "statusArch";

    public ClientFilterMap(String packageName) {
        super(packageName, CLIENT_RIGHT);
    }


    public ClientFilterMap(T clientFilter) {
        super();
        setBean(clientFilter);
    }

    public ClientFilterMap withStatusArch(String statusArch) {
        put(STATUS_ARCH, statusArch);
        return this;
    }

}
